%{?mingw_package_header}

Name:           mingw-expat
Version:        2.6.3
Release:        %mkrel 1
Summary:        MinGW Windows port of expat XML parser library

License:        MIT
Group:          Development/Other
URL:            http://www.libexpat.org/
Source0:        https://downloads.sourceforge.net/expat/expat-%{version}.tar.bz2

BuildArch:      noarch

BuildRequires:  mingw32-filesystem >= 95
BuildRequires:  mingw32-gcc
BuildRequires:  mingw32-gcc-c++
BuildRequires:  mingw32-binutils

BuildRequires:  mingw64-filesystem >= 95
BuildRequires:  mingw64-gcc
BuildRequires:  mingw64-gcc-c++
BuildRequires:  mingw64-binutils


%description
This is expat, the C library for parsing XML, written by James Clark. Expat
is a stream oriented XML parser. This means that you register handlers with
the parser prior to starting the parse. These handlers are called when the
parser discovers the associated structures in the document being parsed. A
start tag is an example of the kind of structures for which you may
register handlers.

# Win32
%package -n mingw32-expat
Summary:        MinGW Windows port of expat XML parser library

%description -n mingw32-expat
This is expat, the C library for parsing XML, written by James Clark. Expat
is a stream oriented XML parser. This means that you register handlers with
the parser prior to starting the parse. These handlers are called when the
parser discovers the associated structures in the document being parsed. A
start tag is an example of the kind of structures for which you may
register handlers.

%package -n mingw32-expat-static
Summary:        Static version of the MinGW Windows expat XML parser library
Requires:       mingw32-expat = %{version}-%{release}
Group:          Development/Other

%description -n mingw32-expat-static
Static version of the MinGW Windows expat XML parser library.

# Win64
%package -n mingw64-expat
Summary:        MinGW Windows port of expat XML parser library

%description -n mingw64-expat
This is expat, the C library for parsing XML, written by James Clark. Expat
is a stream oriented XML parser. This means that you register handlers with
the parser prior to starting the parse. These handlers are called when the
parser discovers the associated structures in the document being parsed. A
start tag is an example of the kind of structures for which you may
register handlers.

%package -n mingw64-expat-static
Summary:        Static version of the MinGW Windows expat XML parser library
Requires:       mingw64-expat = %{version}-%{release}
Group:          Development/Other

%description -n mingw64-expat-static
Static version of the MinGW Windows expat XML parser library.


%{?mingw_debug_package}


%prep
%setup -q -n expat-%{version}


%build
%mingw_configure --without-docbook
%mingw_make_build


%install
%mingw_make_install

# Remove .la files
find $RPM_BUILD_ROOT -name "*.la" -delete

# Remove documentation which duplicates that found in the native package.
rm -r $RPM_BUILD_ROOT%{mingw32_docdir}
rm -r $RPM_BUILD_ROOT%{mingw64_docdir}


# Win32
%files -n mingw32-expat
%license COPYING
%{mingw32_bindir}/libexpat-1.dll
%{mingw32_bindir}/xmlwf.exe
%{mingw32_libdir}/libexpat.dll.a
%{mingw32_libdir}/pkgconfig/expat.pc
%{mingw32_libdir}/cmake/expat-%{version}/
%{mingw32_includedir}/expat.h
%{mingw32_includedir}/expat_config.h
%{mingw32_includedir}/expat_external.h
%{mingw32_mandir}/man1/xmlwf.1*

%files -n mingw32-expat-static
%{mingw32_libdir}/libexpat.a

# Win64
%files -n mingw64-expat
%license COPYING
%{mingw64_bindir}/libexpat-1.dll
%{mingw64_bindir}/xmlwf.exe
%{mingw64_libdir}/libexpat.dll.a
%{mingw64_libdir}/pkgconfig/expat.pc
%{mingw64_libdir}/cmake/expat-%{version}/
%{mingw64_includedir}/expat.h
%{mingw64_includedir}/expat_config.h
%{mingw64_includedir}/expat_external.h
%{mingw64_mandir}/man1/xmlwf.1*

%files -n mingw64-expat-static
%{mingw64_libdir}/libexpat.a




%changelog
* Thu Sep 05 2024 daviddavid <daviddavid> 2.6.3-1.mga10
+ Revision: 2093269
- new version: 2.6.3

* Mon May 06 2024 daviddavid <daviddavid> 2.6.2-1.mga10
+ Revision: 2062399
- new version: 2.6.2

* Wed Feb 14 2024 daviddavid <daviddavid> 2.6.0-1.mga10
+ Revision: 2041240
- new version: 2.6.0

* Mon Nov 21 2022 daviddavid <daviddavid> 2.5.0-1.mga9
+ Revision: 1909714
- new version 2.5.0

* Mon Mar 21 2022 umeabot <umeabot> 2.3.0-2.mga9
+ Revision: 1814339
- Mageia 9 Mass Rebuild

* Sat Apr 17 2021 daviddavid <daviddavid> 2.3.0-1.mga9
+ Revision: 1716270
- new version: 2.3.0

* Wed Nov 18 2020 tv <tv> 2.2.10-1.mga8
+ Revision: 1646998
- 2.2.10

* Sun Feb 16 2020 umeabot <umeabot> 2.2.9-2.mga8
+ Revision: 1534811
- Mageia 8 Mass Rebuild

* Sun Oct 06 2019 daviddavid <daviddavid> 2.2.9-1.mga8
+ Revision: 1449989
- new version: 2.2.9

* Thu Sep 19 2019 daviddavid <daviddavid> 2.2.8-1.mga8
+ Revision: 1443754
- new version: 2.2.8

* Wed Aug 28 2019 daviddavid <daviddavid> 2.2.7-1.mga8
+ Revision: 1434927
- new version: 2.2.7

* Thu Sep 20 2018 umeabot <umeabot> 2.2.6-2.mga7
+ Revision: 1279554
- Mageia 7 Mass Rebuild

* Wed Aug 15 2018 daviddavid <daviddavid> 2.2.6-1.mga7
+ Revision: 1251777
- new version: 2.2.6

* Sun Aug 05 2018 daviddavid <daviddavid> 2.2.5-1.mga7
+ Revision: 1247541
- new version: 2.2.5

* Thu Feb 04 2016 umeabot <umeabot> 2.1.0-9.mga6
+ Revision: 934399
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.1.0-8.mga5
+ Revision: 748374
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.1.0-7.mga5
+ Revision: 682427
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 2.1.0-6.mga4
+ Revision: 536167
- Mageia 4 Mass Rebuild

* Sun Sep 22 2013 neoclust <neoclust> 2.1.0-5.mga4
+ Revision: 483558
- imported package mingw-expat


* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Erik van Pienbroek <epienbro@fedoraproject.org> - 2.1.0-3
- Added static subpackages

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sun Jun 03 2012 Erik van Pienbroek <epienbro@fedoraproject.org> - 2.1.0-1
- Update to 2.1.0
- Dropped the autoconf/libtool regeneration pieces

* Sat Mar 10 2012 Erik van Pienbroek <epienbro@fedoraproject.org> - 2.0.1-12
- Added win64 support
- Dropped unneeded RPM tags

* Fri Mar 09 2012 Kalev Lember <kalevlember@gmail.com> - 2.0.1-11
- Remove .la files

* Tue Mar 06 2012 Erik van Pienbroek <epienbro@fedoraproject.org> - 2.0.1-10
- Renamed the source package to mingw-expat (RHBZ #800377)
- Use mingw macros without leading underscore
- Use the RPM magic to automatically generate provides/requires tags
- Automatically generate a debuginfo subpackage

* Mon Feb 27 2012 Erik van Pienbroek <epienbro@fedoraproject.org> - 2.0.1-9
- Rebuild against the mingw-w64 toolchain

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Jan 13 2010 Richard W.M. Jones <rjones@redhat.com> - 2.0.1-6
- Fix Source0 URL.

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Mar  9 2009 Richard W.M. Jones <rjones@redhat.com> - 2.0.1-4
- Remove +x permissions on COPYING file.

* Fri Feb 20 2009 Richard W.M. Jones <rjones@redhat.com> - 2.0.1-3
- Rebuild for mingw32-gcc 4.4

* Fri Feb  6 2009 Richard W.M. Jones <rjones@redhat.com> - 2.0.1-2
- Include license.

* Fri Oct 31 2008 Richard W.M. Jones <rjones@redhat.com> - 2.0.1-1
- Initial RPM release.
